Page MenuHomePhabricator

Add phan-taint-check-plugin to Wikibase extension
Closed, ResolvedPublic

Description

Would be nice to add phan-taint-check-plugin to Wikibase extensions

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterConfigure phan-taint-check 1.5.0
integration/config : masterRun seccheck on Wikibase
mediawiki/extensions/Wikibase : masterSpecialEntityUsage: Escape content passed to $wgContLang->convert()

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptAug 21 2018, 12:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 457076 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/Wikibase@master] Fix phan-taint-check-plugin issues

https://gerrit.wikimedia.org/r/457076

Legoktm added a subscriber: Legoktm.Sep 2 2018, 3:21 AM

The remaining failures are in tests, except they're in repo/tests/ so the plugin doesn't ignore them...

Change 457076 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] SpecialEntityUsage: Escape content passed to $wgContLang->convert()

https://gerrit.wikimedia.org/r/457076

Change 458987 had a related patch set uploaded (by Brian Wolff; owner: Brian Wolff):
[mediawiki/extensions/Wikibase@master] Configure phan-taint-check 1.5.0

https://gerrit.wikimedia.org/r/458987

Change 458990 had a related patch set uploaded (by Brian Wolff; owner: Brian Wolff):
[integration/config@master] Run seccheck on Wikibase

https://gerrit.wikimedia.org/r/458990

Change 458990 merged by jenkins-bot:
[integration/config@master] Run seccheck on Wikibase

https://gerrit.wikimedia.org/r/458990

Change 458987 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Configure phan-taint-check 1.5.0

https://gerrit.wikimedia.org/r/458987

Legoktm closed this task as Resolved.Sep 8 2018, 3:43 AM
Legoktm claimed this task.
sbassett triaged this task as Medium priority.Oct 15 2019, 7:42 PM